# AIPrishtina VectorDB Diagrams

This directory contains various diagrams that illustrate the architecture, components, and workflows of the AIPrishtina VectorDB library.

## Available Diagrams

### 1. Architecture (`architecture.md`)
- High-level architecture showing main components
- Component interaction sequence diagram
- Data flow diagram

### 2. Data Sources (`data_sources.md`)
- Data source class hierarchy
- Data source processing flow
- Data source configuration

### 3. Use Cases (`use_cases.md`)
- Recommendation system flow
- Semantic search flow
- Batch processing flow
- Content moderation flow

## How to View Diagrams

These diagrams are written in Mermaid format and can be viewed in several ways:

1. **GitHub**: GitHub natively supports Mermaid diagrams in markdown files
2. **VS Code**: Use the "Markdown Preview Mermaid Support" extension
3. **Online Mermaid Editor**: Copy the diagram code to [Mermaid Live Editor](https://mermaid.live)

## Diagram Types

1. **Flowcharts**: Show the flow of data and processes
2. **Sequence Diagrams**: Show interactions between components
3. **Class Diagrams**: Show relationships between classes
4. **Graph Diagrams**: Show component relationships

## Using the Diagrams

These diagrams are designed to help you understand:
- How different components interact
- The flow of data through the system
- Common use cases and workflows
- Data source types and their relationships

## Contributing

When adding new diagrams:
1. Use Mermaid syntax
2. Keep diagrams simple and clear
3. Add appropriate documentation
4. Update this README if adding new diagram files 