# Batch Processing Example

This example demonstrates how to efficiently process large datasets using AIPrishtina VectorDB.

## Features
- Processing large datasets in batches
- Memory-efficient data loading
- Progress tracking and logging
- Error handling and recovery

## Directory Structure
```
batch_processing/
├── data/           # Sample data files
├── logs/           # Log files
└── main.py         # Main example code
```

## Usage
1. Run the example:
```bash
python main.py
```

2. Check the logs in `logs/batch_processing.log` for detailed execution information.

## Sample Data
The example creates a large dataset with 10,000 records, divided into chunks of 1,000 records each. 